Package skyview.util

# Class HistoMatcher

java.lang.Object
skyview.util.HistoMatcher

public class HistoMatcher extends Object
Use this class to rescale a set of byte arrays to have the the same values at two points in the histogram of values. Generate the HistMatcher with the values (0-1) at which you want the histograms to mach. Add in the arrays with calls to addList. Call calc to generate the average values. call rescale(n) to get a rescaled array.

## Constructor Summary

Constructors
Constructor
Description
`HistoMatcher(double bot, double top)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addList(byte[] pixels)`
`void`
`avg()`
`void`
`calc()`
`void`
`matchPoints()`
`byte[]`
`rescale(int n)`
`byte[]`
`rescale(int n, double m, double b)`
`double[]`
`scale(int i, double[] matchPoints, double[] avg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistoMatcher

public HistoMatcher(double bot, double top)

## Method Details

### addList

public void addList(byte[] pixels)

### calc

public void calc()

### matchPoints

public void matchPoints()

### avg

public void avg()

### scale

public double[] scale(int i, double[] matchPoints, double[] avg)

### rescale

public byte[] rescale(int n)

### rescale

public byte[] rescale(int n, double m, double b)